<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="style.css">
  <title>Node app - Profile</title>
</head>
<body>
  <!--  Navbar  -->
  <div id="navbar">
    <div>
      <a href="/"><button>Posts</button></a>
      <a href="/chat"><button>Chat</button></a>
      <a href="/profile"><button>Profile</button></a>
    </div>
    
    <form method="POST" action="/logout">
      <button type="submit">Logout</button>
    </form>
  </div>
  <!-- End Navbar -->


  <h1>Profile</h1>
  Update your profile:
  <form method="POST" enctype="application/x-www-form-urlencoded">
    <input type="text" name="email" placeholder="Email" required>
    <input type="text" name="name" placeholder="Name" required>

    <button type="submit">Update profile</button>
  </form>

  <br>

  Delete account:
  <br>
  <span id="delete-warning">Validate your account's <b>permanent deletion</b> by typing 'Delete' in the field above.</span>
  <form method="POST" action="/deleteProfile" enctype="application/x-www-form-urlencoded">
    <input id="delete-validation-input" type="text" name="name" placeholder="Name" required oninput="validateDeletion()">

    <button id="delete-button" type="submit" disabled="true">Delete account</button>
  </form>


</body>
</html>

<script>
function validateDeletion() {
  const inputElement = document.getElementById('delete-validation-input');
  const deleteButtonElement = document.getElementById('delete-button');
  if (inputElement.value !== 'Delete') {
    deleteButtonElement.setAttribute('disabled', '');
  } else {
    deleteButtonElement.removeAttribute('disabled');
  }
}
</script>
